Name:           perl-App-cpm
Version:        0.301
Release:        1%{?dist}
Summary:        Fast CPAN module installer
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/App-cpm/
Source0:        http://www.cpan.org/authors/id/S/SK/SKAJI/App-cpm-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Capture::Tiny)
# BuildRequires:  perl(Carton::Snapshot)
# BuildRequires:  perl(Class::Tiny)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
# BuildRequires:  perl(CPAN::Common::Index::Mirror)
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Requirements)
BuildRequires:  perl(CPAN::Meta::YAML)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(HTTP::Tiny) >= 0.055
# BuildRequires:  perl(HTTP::Tinyish) >= 0.12
# BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(JSON::PP) >= 2.27300
BuildRequires:  perl(List::Util)
# BuildRequires:  perl(local::lib)
BuildRequires:  perl(Menlo::Builder::Static)
BuildRequires:  perl(Menlo::CLI::Compat)
BuildRequires:  perl(Module::CoreList)
# BuildRequires:  perl(Module::CPANfile)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Parallel::Pipes)
BuildRequires:  perl(parent)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(utf8)
BuildRequires:  perl(version)
# Tests only
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Capture::Tiny)
Requires:       perl(HTTP::Tinyish) >= 0.12
Requires:       perl(JSON::PP) >= 2.27300
Requires:       perl(local::lib)
Requires:       perl(Module::CoreList)
Requires:       perl(Module::CPANfile)
Suggests:       perl(Carton::Snapshot)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(JSON::PP\\)$
%global __requires_exclude %__requires_exclude|^perl\\(HTTP::Tinyish\\)$

%description
cpm is a fast CPAN module installer, which uses Menlo::CLI::Compat in
parallel.

%prep
%setup -q -n App-cpm-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{_bindir}/cpm
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri Mar 24 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.301-1
- 0.301 bump

* Mon Mar 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.300-1
- 0.300 bump

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.299-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 30 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.299-1
- 0.299 bump

* Mon Jan 16 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.298-1
- 0.298 bump

* Sun Jan 01 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.297-1
- 0.297 bump

* Wed Dec 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.294-1
- 0.294 bump

* Mon Dec 12 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.293-1
- 0.293 bump

* Wed Nov 09 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.214-1
- 0.214 bump

* Tue Nov 08 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.213-1
- 0.213 bump

* Thu Nov 03 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.212-1
- 0.212 bump

* Mon Oct 31 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.211-1
- 0.211 bump

* Mon Aug 08 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.118-1
- 0.118 bump

* Mon Jul 18 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.117-1
- 0.117 bump

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.116-2
- Perl 5.24 rebuild

* Mon May 16 2016 Petr Pisar <ppisar@redhat.com> - 0.116-1
- 0.116 bump

* Sun Feb 28 2016 Petr Šabata <contyk@redhat.com> - 0.115-1
- 0.115 bump

* Mon Feb 08 2016 Petr Šabata <contyk@redhat.com> - 0.114-1
- 0.114 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.113-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Petr Šabata <contyk@redhat.com> - 0.113-1
- 0.113 bump

* Mon Dec 21 2015 Petr Šabata <contyk@redhat.com> - 0.112-1
- 0.112 bump

* Tue Dec 08 2015 Petr Šabata <contyk@redhat.com> 0.111-1
- Initial packaging
